Skip to main content
GET
/
lucca-api
/
webhook-deliveries
List webhook-deliveries
curl --request GET \
  --url https://{host}/lucca-api/webhook-deliveries \
  --header 'Api-Version: <api-version>' \
  --header 'Authorization: Bearer <token>'
{
  "type": "webhook-deliveries",
  "url": "https://example.ilucca.net/lucca-api/webhook-deliveries?limit=25",
  "totalCount": 29,
  "items": [
    {
      "id": "78fa5d8c-3436-49aa-82cc-ab1a64c48ed9",
      "type": "webhook-delivery",
      "url": "https://example.ilucca.net/lucca-api/webhook-deliveries/78fa5d8c-3436-49aa-82cc-ab1a64c48ed9",
      "nextAttemptAt": "2023-08-29T09:12:33.001Z",
      "attemptsCount": 2,
      "status": "delivered",
      "event": {
        "id": "2455623",
        "type": "event",
        "url": "https://example.ilucca.net/lucca-api/events/2455623"
      },
      "webhookEndpoint": {
        "id": "12",
        "type": "webhook-endpoint",
        "url": "https://example.ilucca.net/lucca-api/webhook-endpoints/12"
      },
      "links": {
        "attempts": {
          "href": "https://example.ilucca.net/lucca-api/webhook-delivery-attempts?webhookDelivery.id=78fa5d8c-3436-49aa-82cc-ab1a64c48ed9"
        }
      }
    }
  ],
  "links": {
    "prev": null,
    "next": {
      "href": "https://example.ilucca.net/lucca-api/webhook-deliveries?page=!43df&limit=25"
    }
  },
  "embedded": {}
}
This API endpoint is in beta and may be subject to changes, including breaking changes (similarly to the legacy API endpoints), without prior notice. Read more about versioning.
OAuth 2.0 scopes
 webhook-deliveries.readonly
or
 webhook-deliveries.readwrite

Authorizations

Authorization
string
header
required

The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.

Headers

Api-Version
enum<string>
required

Set the API version.

Available options:
2024-11-01
Allowed value: "2024-11-01"
Maximum string length: 10
Example:

"2024-11-01"

If-None-Match
string

Only execute the request if current cached version of the resource does not match the one given here.

Example:

"W/q5sd4w2x1c1gfdg"

If-Match
string

Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.

Example:

"W/q5sd4w2x1c1gfdg"

Accept-Encoding
string

List of compression algorithms you support.

Query Parameters

include
enum<string>[]

Include metadata:

  • embedded: the partial or complete representations of related resources (e.g. the employee the resource belongs to).
  • links: links to related resources or actions (e.g. approving a leave-request). May be null when you do not have access to the resource (or action).
  • totalCount: only applicable on collections (i.e. lists of resources), gives the total number of items across all pages.

Read more about expanding responses.

Available options:
embedded,
links,
totalCount

Response

OK

A collection of webhook-delivery resources.

type
string
Allowed value: "webhook-deliveries"
url
string<uri>
totalCount
integer<int64> | null

Total number of webhook-delivery resources across all pages that satisfy query parameters.

Required range: x >= 0
items
webhook-delivery · object[]

Paginated list of webhook-delivery resources.

Maximum array length: 100

Links to related resources

embedded
object

Embeds the representation of resources related to the webhook-delivery(ies).

Only returned if requested by the API client: ?include=embedded.